echo off
echo ""
echo S2600CP Integrated BMC Firmware Update rev 01.10.3560
echo Performing a signed image update of the Integreated BMC Firmware.
echo ""
.\WinPEUtils_x86\FWPIAUPD\Devicesetup.exe remove *IPI0001
.\WinPEUtils_x86\FWPIAUPD\DeviceSetup install .\WinPEUtils_x86\FWPIAUPD\IMBDrv.inf *IMBDRV
.\WinPEUtils_x86\FWPIAUPD\FWPIAUPD -u -bin -ni -b -o -pia -nopc -if=usb BMC_i_0110r3560.bin

echo "Update BIOS to 1.03.0002"
.\WinPEUtils_x86\IFlash32\DeviceSetup install .\WinPEUtils_x86\IFlash32\flashud.inf *int0800
.\WinPEUtils_x86\IFlash32\DeviceSetup install .\WinPEUtils_x86\IFlash32\IBSMUtil.inf *IntelUtilDeV
.\WinPEUtils_x86\IFlash32\IFlash32 /u /ni R01.03.0002.cap

echo ""
echo "Flashing ME 02_01_05_107..."
.\WinPEUtils_x86\IFlash32\IFlash32 /u /ni MEComplete_02.01.05.107.cap
echo ""
echo "ME02_01_05_107 update completed..."

echo "Update FRUSDR using FRUSDR utility"
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\imbdrv.inf *IMBDRV
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\IBSMUtil.inf *IntelUtilDeV
.\WinPEUtils_x86\FRUSDR\frusdr -cfg MASTER.cfg

echo "Updates completed. Please reboot using the front panel button."

echo on
